Page MenuHomePhabricator

ci: make check -> make check-TESTS
ClosedPublic

Authored by zmike on Jul 17 2018, 1:49 PM.

Details

Summary

the tests have all been compiled at this point using the check-build
target (separately) in order to split out test compile failures from
runtime failures, so use the check-TESTS target to run the tests without
checking whether the tests are built first

Depends on D6617

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jul 17 2018, 1:49 PM
zmike requested review of this revision.Jul 17 2018, 1:49 PM
zmike updated this revision to Diff 15799.Jul 23 2018, 4:44 AM
zmike edited the summary of this revision. (Show Details)
zmike added a project: Restricted Project.
zmike added a parent revision: D6617: ci: run make check in build.
stefan_schmidt accepted this revision.Jul 25 2018, 1:41 AM
stefan_schmidt added inline comments.
.ci/ci-make-check.sh
7

I see, here is the fix I requested in D6617 :-)

This revision is now accepted and ready to land.Jul 25 2018, 1:41 AM
This revision was automatically updated to reflect the committed changes.